#!/usr/bin/perl
# -w

use encoding "MacRoman", STDOUT => "UTF-8"; # Handles international characters

@lines = split(/\n/, `scselect 2>&1`);
@locationlines = grep(!/:/, @lines);

foreach (@locationlines)
{
	($ID, $name) = m/\W+([a-zA-Z0-9\-]+)\s*\(([^\)]+)/;
	print STDOUT "<OPTION ";
	if(m/\*/)
	{
		print STDOUT "SELECTED ";
	}
	print STDOUT "VALUE=".$ID.">".$name."\n";
}
